﻿Option Strict On
Imports System.Net.NetworkInformation
Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' コンストラクター
    Public Sub New()
        InitializeComponent()
    End Sub


    Protected Overrides Sub OnNavigatedTo(e As System.Windows.Navigation.NavigationEventArgs)
        If NetworkInterface.GetIsNetworkAvailable = False Then
            PageTitle.Text = "データ接続がオフの場合"
            MessageBox.Show("データ接続がオフになっているためWebサイトは表示できません。データ接続をオンにしてください。")
            Button1.IsEnabled = False
            Exit Sub
        Else
            PageTitle.Text = "データ接続がオンの場合"
            Button1.IsEnabled = True
        End If
        MyBase.OnNavigatedTo(e)
    End Sub

    Private Sub Button1_Click(sender As Object, e As System.Windows.RoutedEventArgs) Handles Button1.Click
        WebBrowser1.Navigate(New Uri(TextBox1.Text, UriKind.Absolute))
    End Sub
End Class
